edu.ucsb.nceas.metacat.service

## Class ServiceService

- java.lang.Object
- - edu.ucsb.nceas.metacat.service.ServiceService

-     public class ServiceService
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONFIG_FILE_NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceService` | `getInstance(javax.servlet.ServletContext servletContext)` Get the single instance of ServiceService.
    `static java.lang.String` | `getRealApplicationContext()` Get the servlet context name
    `static java.lang.String` | `getRealConfigDir()` Convert the relative config directory to a full path
    `static java.lang.String` | `getRealSkinDir()` Convert the relative skins directory to a full path
    `static void` | `refreshService(java.lang.String serviceName)` Refresh a service.
    `static void` | `registerService(java.lang.String serviceName, BaseService service)` Register a service with the system.
    `static void` | `stopAllServices()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_FILE_NAME

          public static java.lang.String CONFIG_FILE_NAME

  - ### Method Detail

    - #### getInstance

          public static ServiceService getInstance(javax.servlet.ServletContext servletContext)

      Get the single instance of ServiceService.
      Returns:
        the single instance of ServiceService

    - #### registerService

          public static void registerService(java.lang.String serviceName,
                                             BaseService service)
                                      throws ServiceException

      Register a service with the system.
      Parameters:
        `serviceName` - the name of the service
        `service` - the singleton instance of the service
      Throws:
        `ServiceException`

    - #### refreshService

          public static void refreshService(java.lang.String serviceName)
                                     throws ServiceException

      Refresh a service.
      Parameters:
        `serviceName` - the name of the service to refresh
      Throws:
        `ServiceException`

    - #### stopAllServices

          public static void stopAllServices()

    - #### getRealConfigDir

          public static java.lang.String getRealConfigDir()
                                                   throws ServiceException

      Convert the relative config directory to a full path
      Returns:
        the full config path
      Throws:
        `ServiceException`

    - #### getRealSkinDir

          public static java.lang.String getRealSkinDir()
                                                 throws ServiceException

      Convert the relative skins directory to a full path
      Returns:
        the full skins directory path
      Throws:
        `ServiceException`

    - #### getRealApplicationContext

          public static java.lang.String getRealApplicationContext()
                                                            throws ServiceException

      Get the servlet context name
      Returns:
        a string holding the context name
      Throws:
        `ServiceException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.